import request from '@/utils/request'

// 查询整改人员分组信息列表
export function listInfo(query) {
  return request({
    url: '/danger/group/list',
    method: 'get',
    params: query
  })
}

// 查询整改人员分组信息详细
export function getInfo(groupId) {
  return request({
    url: '/danger/group/' + groupId,
    method: 'get'
  })
}

// 新增整改人员分组信息
export function addInfo(data) {
  return request({
    url: '/danger/group',
    method: 'post',
    data: data
  })
}

// 修改整改人员分组信息
export function updateInfo(data) {
  return request({
    url: '/danger/group',
    method: 'put',
    data: data
  })
}

// 删除整改人员分组信息
export function delInfo(groupId) {
  return request({
    url: '/danger/group/' + groupId,
    method: 'delete'
  })
}

// 导出整改人员分组信息
export function exportInfo(query) {
  return request({
    url: '/danger/group/export',
    method: 'get',
    params: query
  })
}
